<?php
include '../config/database.php';


// // SN 31.10.54 AP
// function get_status($data)
// {
//     $gid    = $data['gid'];
//     $result = get_status_item($gid);
//     echo json_encode($result);
// }
// // EN 31.10.54 AP

// $data = $_GET;
// get_status($data);



// SN 31.10.54 AP
function get_status($gid)
{
    $result = get_status_item($gid);
    echo json_encode($result);
}
// EN 31.10.54 AP



// SN 01.11.64 PP
function get_status_name_($gid)
{
    $result = get_status_item($gid);
    $loop = file_get_contents('http://104.238.148.82/v2/command/loop.json');;
    $res = json_decode($loop, true);
    $_txt = '';
    foreach ($res as $key => $value) {
        $a = (array)$value;
        foreach ($a as $keya => $valuea) {
            if ($result[$keya] == '1') {
                $_txt = $_txt."[#".$valuea[1]."].".$valuea[0]." : ✅\n";
            } else {
                $_txt = $_txt."[#".$valuea[1]."].".$valuea[0]." : ❌\n";
            }
        }
    }
    echo $_txt;
}
// EN 01.11.64 PP


$data = $_GET['gid'];
// get_status($data);
get_status_name_($data);